/*
 eGizmo Serial LED Matrix 
 Display Controller Sample codes
 
 This code is for using Serial LED Matrix Display with
 8x32 Dot Matrix.
 
 Codes by:
 e-Gizmo Mechatronix Central
 http://www.e-gizmo.net
 September 10, 2018
 
 */

//Library included
#include <eGizmo_Serial_Matrix.h>
#include <SoftwareSerial.h>

#define READYPIN    9   // RDY pin for dynamic delays
#define timeOut 1000// time out for the function: wait_till_ready

//This code was made for the Gizduino+644 board
//serialMatrixDisplay serialMatrix(&Serial1);

//If you want to use Software Serial use this instead
SoftwareSerial mySerial(2,3);
serialMatrixDisplay serialMatrix(&mySerial);

void setup(){

  serialMatrix.begin(9600);

  serialMatrix.attachRDYpin(READYPIN);

  //TEST START

  serialMatrix.alignCenter(); // Align text
  serialMatrix.clearAllthenDisplay("Blink"); // Clears display then makes text appear
  serialMatrix.flashingText();// makes Text blink
  delay(3000); // Display time
  serialMatrix.scrollOut("Down"); // Scrolls displayed text down

  while(!serialMatrix.delayUntilClear()){
  } // Dynamic delay; waits until the display is clear; halts the program until conditions are met

  serialMatrix.alignLeft(); // Align Text
  serialMatrix.clearDispScrollLeft("Clears display and scrolls this text");

  while(!serialMatrix.delayUntilClear()){
  } // Dynamic delay; waits until the display is clear; halts the program until conditions are met

  serialMatrix.alignCenter();// Align Text
  serialMatrix.clearAllthenDisplay("pushed down"); // Clears display then makes text appear
  delay(5000);

  serialMatrix.pushDownscrollIn("thisWillDropDown");
  delay(5000);
  serialMatrix.scrollOut("Up");// Makes displayed text scroll up

  while(!serialMatrix.delayUntilClear()){
  } // Dynamic delay; waits until the display is clear; halts the program until conditions are met

  serialMatrix.testAllChars();

}//end setup

void loop(){


  //All functions:
  /*
    begin(uint32_t baudrate);
   end();
   
   dettachRDYpin();
   attachRDYpin(uint8_t pinNum);
   
   bool delayUntilClear();
   
   
   scrollOut("LEFT");
   
   testAllChars();
   
   clearDisplay();
   alignCenter();
   alignLeft();
   alignRight();
   flashingText();
   
   clearAllDropMsgIn("textDisplay");
   overwriteDropInA("textDisplay");
   overwriteDropInB("textDisplay");
   pushUpScrollIn("textDisplay");
   pushDownscrollIn("textDisplay");
   clearDispScrollLeft("textDisplay");
   clearAllthenDisplay("textDisplay");
   */



}//end loop
